Package: groovy.transform

## [Java] Enum PackageScopeTarget

- groovy.transform.PackageScopeTarget

-     public enum PackageScopeTarget
      extends Enum

  Intended target when `@`PackageScope is placed at the class level.

  Since:
    1.8.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLASS` | Make the Class have package protected visibility.
    `CONSTRUCTORS` | Make the Class constructors have package protected visibility.
    `FIELDS` | Make the Class fields have package protected visibility.
    `METHODS` | Make the Class methods have package protected visibility.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PackageScopeTarget CLASS

      Make the Class have package protected visibility.

    - #### PackageScopeTarget CONSTRUCTORS

      Make the Class constructors have package protected visibility.

    - #### PackageScopeTarget FIELDS

      Make the Class fields have package protected visibility.

    - #### PackageScopeTarget METHODS

      Make the Class methods have package protected visibility.